python-avahi_0.6.32-1ubuntu1_i386.deb


Advertisement

Description

python-avahi - Python utility package for Avahi

Property Value
Distribution Ubuntu 17.10 (Artful Aardvark)
Repository Ubuntu Universe i386
Package name python-avahi
Package version 0.6.32
Package release 1ubuntu1
Package architecture i386
Package type deb
Installed size 64 B
Download size 7.95 KB
Official Mirror archive.ubuntu.com
Avahi is a fully LGPL framework for Multicast DNS Service Discovery.
It allows programs to publish and discover services and hosts
running on a local network with no specific configuration. For
example you can plug into a network and instantly find printers to
print to, files to look at and people to talk to.
This package contains utility modules to talk to Avahi with Python easier.

Alternatives

Package Version Architecture Repository
python-avahi_0.6.32-1ubuntu1.1_i386.deb 0.6.32 i386 Ubuntu Updates Universe
python-avahi_0.6.32-1ubuntu1.1_amd64.deb 0.6.32 amd64 Ubuntu Updates Universe
python-avahi_0.6.32-1ubuntu1_amd64.deb 0.6.32 amd64 Ubuntu Universe
python-avahi - - -

Requires

Name Value
libavahi-common-data >= 0.6.22
python-dbus -
python-gdbm >= 2.4.3-1
python:any << 2.8
python:any >= 2.7.5-5~

Provides

Name Value
python2.7-avahi -

Download

Type URL
Binary Package python-avahi_0.6.32-1ubuntu1_i386.deb
Source Package avahi

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-avahi deb package:
    # sudo apt-get install python-avahi

Files

Path
/usr/lib/python2.7/dist-packages/avahi/ServiceTypeDatabase.py
/usr/lib/python2.7/dist-packages/avahi/__init__.py
/usr/share/doc/python-avahi/NEWS.gz
/usr/share/doc/python-avahi/README
/usr/share/doc/python-avahi/changelog.Debian.gz
/usr/share/doc/python-avahi/copyright
/usr/share/doc/python-avahi/examples/avahi-bookmarks.gz

Changelog

2016-07-04 - Martin Pitt <martin.pitt@ubuntu.com>
avahi (0.6.32-1ubuntu1) yakkety; urgency=medium
* Merge from Debian unstable, remaining changes:
- Add udebs corresponding to libavahi-common3 and libavahi-core7, for
maas-enlist-udeb.
2016-06-27 - Michael Biebl <biebl@debian.org>
avahi (0.6.32-1) unstable; urgency=medium
[ Michael Biebl ]
* Update debian/watch to track new upstream releases on GitHub.
* New upstream release. All dfsg unfree files have been removed, so
repacking is no longer required. Drop debian/README.source accordingly.
* Install man pages via .install files, so they don't show up in
--list-missing.
* Drop dbg package now that we have automatic dbgsym packages.
Ensure proper upgrade from avahi-dbg to new dbgsym packages by using
dh_strip --dbgsym-migration. Bump Build-Depends on debhelper accordingly
and add versioned Build-Depends on dpkg-dev.
* Mark -dev packages as Multi-Arch: same. (Closes: #731362)
* Bump Standards-Version to 3.9.8.
* avahi-autoipd: fix dhclient hooks to check for avahi-autoipd
before trying to run it. (Closes: #809539)
[ John Paul Adrian Glaubitz ]
* Add a stage1 build profile which disables GTK, Qt4 and Python-GTK bindings
in order to reduce build dependencies. (Closes: #734669)
2015-11-24 - Martin Pitt <martin.pitt@ubuntu.com>
avahi (0.6.32~rc+dfsg-1ubuntu2) xenial; urgency=medium
* Put back libavahi-common3-udeb and libavahi-core7-udeb, they are being
used by maas-enlist-udeb.
2015-11-24 - Martin Pitt <martin.pitt@ubuntu.com>
avahi (0.6.32~rc+dfsg-1ubuntu1) xenial; urgency=medium
* Merge from Debian unstable, remaining changes:
- Add debian/avahi-daemon.upstart, debian/avahi-dnsconfd.upstart,
debian/avahi-cups-reload.upstart
* Dropped Ubuntu changes:
- debian/control: Add versioned dependency on the dbus that satisfies our
upstart job dependency. This happened before precise already.
- Add udebs corresponding to libavahi-common3 and libavahi-core7, so
that we can use them for Eucalyptus integration in the installer.
Eucalyptus is long gone, and these udebs haven't been used in a long
time.
- d/p/skip-nproc-in-container.patch: Detect whether we are running in a
container, and do not set rlimit_nproc if so. Current LXC does not
create /run/container_type any more so the patch is a no-op. It's also
not necessary any more as avahi does not fail if it cannot set the
rlimit.
* Drop obsolete dh_installinit --upstart-only option. (LP: #1519228)
2015-11-04 - Laurent Bigonville <bigon@debian.org>
avahi (0.6.32~rc+dfsg-1) unstable; urgency=medium
* Team upload.
* New upstream release
- Don't log warnings about invalid packets, commonly triggered by Windows
10 systems (Closes: #639163)
- Drop debian/patches/01_avahi-daemon.conf.patch,
d/p/avahi-core-reserve-space-for-record-data-when-size-estimate.patch,
d/p/suse-patch-gtk-box.patch, d/p/no-deprecations.patch,
d/p/so_reuseport-may-not-exist-in-running-kernel.patch, merged upstream.
* debian/control: Bump Standards-Version to 3.9.6 (no further changes)
* debian/rules: Ask dh_autoreconf to run the autogen.sh script
* debian/control: Add dh-python to the build-dependencies

See Also

Package Description
python-avc_0.8.3-1.1_all.deb live connection among widgets and application variables
python-avogadro_1.2.0-2_i386.deb Molecular Graphics and Modelling System (Python module)
python-avro_1.8.2+dfsg-1_all.deb Apache Avro serialization system — Python 2 library
python-awsauth_0.1.5-1_all.deb AWS authentication for Amazon S3 for the python-requests module
python-axiom_0.7.5-2_all.deb Python object database
python-axolotl-curve25519_0.1-3build2_i386.deb Python wrapper for curve25519 library with ed25519 signatures
python-axolotl_0.1.39-3_all.deb Python port of libaxolotl-android
python-azure-doc_2.0.0~rc6+dfsg-2_all.deb Microsoft Azure SDK for Python - Documentation
python-azure-storage_0.33.0-1_all.deb Microsoft Azure Storage Library for Python 2.x
python-azure_2.0.0~rc6+dfsg-2_all.deb Microsoft Azure SDK for Python 2.x
python-babelfish_0.5.4-1build1_all.deb library to work with countries and languages (Python 2)
python-backports-abc_0.5-2_all.deb Backport of the "collections.abc" stdlib module (Python 2)
python-backports-shutil-get-terminal-size_1.0.0-3_all.deb Backport of the "shutil.get_terminal_size" function (Python 2)
python-backports.functools-lru-cache_1.3-1_all.deb backport of functools.lru_cache from Python 3.3
python-backports.ssl-match-hostname_3.5.0.1-1_all.deb Backport of the Python 3.5 SSL hostname checking function
Advertisement
Advertisement